import { Component, h, Prop, State } from '@stencil/core';
import { randomIdGenerator } from '../../../global/utils/randomIdGenerator';

@Component({
	tag: 'digi-icon-globe-filled',
	styleUrl: 'icon-globe-filled.scss',
	scoped: true
})
export class IconGlobeFilled {
	/**
	 * Lägger till ett titleelement i svg:n
	 * @en Adds a title element inside the svg
	 */
	@Prop() afTitle: string;

	/**
	 * Lägger till ett descelement i svg:n
	 * @en Adds a desc element inside the svg
	 */
	@Prop() afDesc: string;

	/**
	 * För att dölja ikonen för skärmläsare. Default är satt till true.
	 * @en Hides the icon for screen readers. Default is set to true.
	 */
	@Prop() afSvgAriaHidden: boolean = true;

	

	/**
* Referera till andra element på sidan för att definiera ett tillgängligt namn.
* @en Reference other elements on the page to define an accessible name.
*/
@Prop() afSvgAriaLabelledby: string;

@State() titleId: string = randomIdGenerator('icontitle');

	render() {
		return (
			<svg
				class="digi-icon-globe-filled"
				width="48"
				height="48"
				viewBox="0 0 48 48"
				xmlns="http://www.w3.org/2000/svg"
				aria-hidden={this.afSvgAriaHidden ? 'true' : 'false'}
				aria-labelledby={this.afSvgAriaLabelledby ? this.afSvgAriaLabelledby : this.afTitle ? this.titleId : undefined}
			>
				{this.afTitle && <title id={this.titleId}>{this.afTitle}</title>}
				{this.afDesc && <desc>{this.afDesc}</desc>}
				<path
					class="digi-icon-globe-filled__shape"
					d="M24,0 C10.7448387,0 0,10.7448387 0,24 C0,37.2551613 10.7448387,48 24,48 C37.2551613,48 48,37.2551613 48,24 C48,10.7448387 37.2551613,0 24,0 Z M31.9635484,34.6064516 C31.586129,34.9819355 31.1903226,35.3758065 30.8690323,35.6980645 C30.5796774,35.9883871 30.3754839,36.3464516 30.2719355,36.7345161 C30.1258065,37.2822581 30.0077419,37.8358065 29.8103226,38.3670968 L28.1274194,42.9009677 C26.7958065,43.1912903 25.4177419,43.3548387 24,43.3548387 L24,40.7051613 C24.1635484,39.483871 23.2606452,37.196129 21.81,35.7454839 C21.2293548,35.1648387 20.9032258,34.3770968 20.9032258,33.5554839 L20.9032258,30.4577419 C20.9032258,29.3312903 20.2964516,28.2958065 19.3103226,27.7509677 C17.9196774,26.9816129 15.9416129,25.9064516 14.5867742,25.2241935 C13.4758065,24.6648387 12.4480645,23.9525806 11.523871,23.1193548 L11.4464516,23.0496774 C10.7855452,22.4531001 10.1987546,21.7792331 9.69870968,21.0425806 C8.79096774,19.71 7.31225806,17.5180645 6.35129032,16.0935484 C8.33225806,11.6903226 11.9022581,8.15419355 16.3383871,6.23322581 L18.6619355,7.39548387 C19.6916129,7.91032258 20.9032258,7.16225806 20.9032258,6.01064516 L20.9032258,4.91709677 C21.6764516,4.79225806 22.4632258,4.71290323 23.2635484,4.68290323 L26.0022581,7.4216129 C26.6070968,8.02645161 26.6070968,9.00677419 26.0022581,9.6116129 L25.5483871,10.0645161 L24.5477419,11.0651613 C24.2458065,11.3670968 24.2458065,11.8577419 24.5477419,12.1596774 L25.0016129,12.6135484 C25.3035484,12.9154839 25.3035484,13.406129 25.0016129,13.7080645 L24.2274194,14.4822581 C24.0820574,14.6273384 23.8850512,14.7087862 23.6796774,14.7087097 L22.8096774,14.7087097 C22.6083871,14.7087097 22.4148387,14.7870968 22.2696774,14.9283871 L21.3096774,15.8622581 C21.0682225,16.0973835 21.0064105,16.4616048 21.1567742,16.7632258 L22.6654839,19.7816129 C22.9229032,20.2964516 22.5483871,20.9022581 21.9735484,20.9022581 L21.4277419,20.9022581 C21.2409677,20.9022581 21.0609677,20.8345161 20.9206452,20.7125806 L20.0225806,19.9325806 C19.609122,19.5738941 19.0371392,19.4598653 18.5177419,19.6325806 L15.5012903,20.6380645 C15.0289943,20.7955464 14.7104954,21.2376244 14.7106452,21.7354839 C14.7106452,22.173871 14.9583871,22.5735484 15.3503226,22.77 L16.4225806,23.306129 C17.3332258,23.7619355 18.3377419,23.9990323 19.3558065,23.9990323 C20.373871,23.9990323 21.5419355,26.64 22.4525806,27.0958065 L28.9122581,27.0958065 C29.733871,27.0958065 30.5206452,27.4219355 31.1022581,28.0025806 L32.4270968,29.3274194 C32.9805663,29.8811005 33.2912904,30.6319649 33.2912904,31.4148387 C33.2908887,32.612973 32.8130662,33.7615579 31.9635484,34.6064516 Z M40.3548387,25.766129 C39.7945161,25.6258065 39.3058065,25.2822581 38.9854839,24.8012903 L37.2454839,22.1912903 C36.7248406,21.4114983 36.7248406,20.3949533 37.2454839,19.6151613 L39.1412903,16.7719355 C39.3658065,16.436129 39.6735484,16.1632258 40.0354839,15.9832258 L41.2916129,15.3551613 C42.6,17.9603226 43.3548387,20.8906452 43.3548387,24 C43.3548387,24.8390323 43.2832258,25.6606452 43.1787097,26.4716129 L40.3548387,25.766129 Z"
					fill="currentColor"
					fill-rule="nonzero"
				/>
			</svg>
		);
	}
}
